org.jboss.jca.as.converters.wls.metadata

## Class AdminObjectGroupImpl

- java.lang.Object
- - org.jboss.jca.as.converters.wls.metadata.AdminObjectGroupImpl

- All Implemented Interfaces:
    java.io.Serializable, AdminObjectGroup, WlsMetadata

      public class AdminObjectGroupImpl
      extends java.lang.Object
      implements AdminObjectGroup

  A generic AdminObjectGroup.
  Author:
    Jeff Zhang
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.jboss.jca.as.converters.wls.api.metadata.AdminObjectGroup

      `AdminObjectGroup.Attribute, AdminObjectGroup.Tag`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdminObjectGroupImpl(java.lang.String aoInterface, java.lang.String aoClass, ConfigProperties props, java.util.List<AdminObjectInstance> aois)` AdminObjectGroupImpl constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAdminObjectClass()` getAdminObjectClass
    `java.util.List<AdminObjectInstance>` | `getAdminObjectInstance()` getAdminObjectInstance
    `java.lang.String` | `getAdminObjectInterface()` getAdminObjectInterface
    `ConfigProperties` | `getDefaultProperties()` getDefaultProperties

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AdminObjectGroupImpl

          public AdminObjectGroupImpl(java.lang.String aoInterface,
                                      java.lang.String aoClass,
                                      ConfigProperties props,
                                      java.util.List<AdminObjectInstance> aois)

      AdminObjectGroupImpl constructor
      Parameters:
        `aoInterface` - admin object interface
        `aoClass` - admin object class
        `props` - ConfigProperties
        `aois` - List

  - ### Method Detail

    - #### getAdminObjectInterface

          public java.lang.String getAdminObjectInterface()

      Description copied from interface: `AdminObjectGroup`
      getAdminObjectInterface
      Specified by:
        `getAdminObjectInterface` in interface `AdminObjectGroup`
      Returns:
        the AdminObjectInterface

    - #### getAdminObjectClass

          public java.lang.String getAdminObjectClass()

      Description copied from interface: `AdminObjectGroup`
      getAdminObjectClass
      Specified by:
        `getAdminObjectClass` in interface `AdminObjectGroup`
      Returns:
        the AdminObjectClass

    - #### getDefaultProperties

          public ConfigProperties getDefaultProperties()

      Description copied from interface: `AdminObjectGroup`
      getDefaultProperties
      Specified by:
        `getDefaultProperties` in interface `AdminObjectGroup`
      Returns:
        the ConfigProperties

    - #### getAdminObjectInstance

          public java.util.List<AdminObjectInstance> getAdminObjectInstance()

      Description copied from interface: `AdminObjectGroup`
      getAdminObjectInstance
      Specified by:
        `getAdminObjectInstance` in interface `AdminObjectGroup`
      Returns:
        the List

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)